For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
        • POSTCreate a submittal activity
        • DELDelete a submittal activity
        • GETGet a submittal activity by GUID
        • GETList submittal activities for a submittal (identified by requirementGuid + applicantGuid)
        • PUTUpdate a submittal activity
  • Internal API Reference
    • Applicants/Candidates
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Public API Reference (Beta)Submittal ActivitiesCore

Update a submittal activity

PUT
https://app.brightmove.com/ATS/api/v1/submittal-activities/:guid
PUT
/ATS/api/v1/submittal-activities/:guid
$curl -X PUT https://app.brightmove.com/ATS/api/v1/submittal-activities/guid \
> -H "X-Brightmove-Company-ApiKey: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Updated
1{}
Was this page helpful?
Previous

Applicants API

Applicant API operations.
Next
Built with

Authentication

X-Brightmove-Company-ApiKeystring
BrightMove Company Api Key
X-Brightmove-User-ApiKeystring
BrightMove User Api Key

Path parameters

guidstringRequired

Request

This endpoint expects an object.
activityTypeIdlongOptional
ID of the submittal activity type.
notestringOptional
Note or comment for the activity.
activityDatestringOptional

ISO-8601 date/time of the activity.

activityEndDatestringOptional

ISO-8601 end date/time (for scheduled activities with a duration).

allDaybooleanOptional

Whether this is an all-day activity.

completedbooleanOptional
Whether this activity has been completed.
completedDatestringOptional

ISO-8601 date/time the activity was marked completed.

Response

Submittal activity updated